#ifndef REMOTE_H
#define REMOTE_H

#include <QObject>
#include <QString>
#include <QNetworkReply>
#include <QNetworkAccessManager>

namespace Rating {
    typedef bool Rating;
    Rating Up = true;
    Rating Down = false;
}

class Remote : public QObject
{
    Q_OBJECT
public:
    Remote(const QString &name);
    Remote(const QString &name, const QString &mfg,
            int rating, int voteCount);

    //getters
    QString name()  const { return m_name; }
    QString mfg()   const { return m_mfg; }
    int rating()    const { return m_rating; }
    int voteCount() const { return m_voteCount; }

public slots:
    void saveToFile();
    void updateInfo();
    void sendRating(Rating::Rating);

signals:
    void infoUpdated();

private:
    QString m_name;
    QString m_mfg;
    int m_rating;
    int m_voteCount;

    QNetworkAccessManager m_infoNAM;
    QNetworkAccessManager m_remoteNAM;
    QNetworkAccessManager m_ratingNAM;

    void init();
    
    void remoteDownloadFinished(QNetworkReply *reply);
    void infoRequestFinished(QNetworkReply *reply);
};

#endif

