#ifndef SELECTREMOTEDLG_H
#define SELECTREMOTEDLG_H

#include <QDialog>
#include <QString>
#include <QMap>

#include "remotedb.h"

class QHBoxLayout;
class QListWidget;
class QListWidgetItem;
class QSettings;
class QNetworkAccessManager;
class QNetworkReply;
class QWidget;
class QPushButton;
class QLabel;
class RemoteList;

class SelectRemoteDlg : public QDialog
{
    Q_OBJECT

public:
    SelectRemoteDlg(QWidget *parent);
    ~SelectRemoteDlg();

private slots:
    void alphabetItemChanged(QListWidgetItem *current,
                             QListWidgetItem *previous);
    void mfgItemChanged(QListWidgetItem *current, QListWidgetItem *previous);
    void downloadRemote();

private:
    QHBoxLayout *layout;
    QListWidget *alphabetList;
    QListWidget *mfgList;
    QListWidget *modelList;
    QPushButton *downloadBtn;
    QLabel *remoteNameLabel;

    void setBusy(bool busy = true);
};

#endif

